package com.ghn.recipiedemo.portfolio.data.models

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "quote_module")
data class QuoteModule(
    @PrimaryKey(autoGenerate = false) var id: Long? = null,
    @ColumnInfo(name = "symbol") val symbol: String,
    @ColumnInfo(name = "companyName") val companyName: String,
    @ColumnInfo(name = "primaryExchange") val primaryExchange: String = "",
    @ColumnInfo(name = "calculationPrice") val calculationPrice: String = "",
    @ColumnInfo(name = "open") val openPrice: Double? = 0.0,
    @ColumnInfo(name = "openTime") val openTime: Long? = 0L,
    @ColumnInfo(name = "close") val close: Double? = 0.0,
    @ColumnInfo(name = "closeTime") val closeTime: Long? = 0L,
    @ColumnInfo(name = "high") val high: Double? = 0.0,
    @ColumnInfo(name = "low") val low: Double? = 0.0,
    @ColumnInfo(name = "latestPrice") val latestPrice: Double? = 0.0,
    @ColumnInfo(name = "latestSource") val latestSource: String? = "",
    @ColumnInfo(name = "latestTime") val latestTime: String = "",
    @ColumnInfo(name = "latestUpdate") val latestUpdate: Long = 0L,
    @ColumnInfo(name = "latestVolume") val latestVolume: Int? = 0,
    @ColumnInfo(name = "iexRealtimePrice") val iexRealtimePrice: Double? = 0.0,
    @ColumnInfo(name = "iexRealtimeSize") val iexRealtimeSize: Double? = 0.0,
    @ColumnInfo(name = "iexLastUpdated") val iexLastUpdated: Double? = 0.0,
    @ColumnInfo(name = "delayedPrice") val delayedPrice: Double? = 0.0,
    @ColumnInfo(name = "delayedPriceTime") val delayedPriceTime: Long? = 0L,
    @ColumnInfo(name = "oddLotDelayedPrice") val oddLotDelayedPrice: Double? = 0.0,
    @ColumnInfo(name = "oddLotDelayedPriceTime") val oddLotDelayedPriceTime: Long? = 0L,
    @ColumnInfo(name = "extendedPrice") val extendedPrice: Double? = 0.0,
    @ColumnInfo(name = "extendedChange") val extendedChange: Double? = 0.0,
    @ColumnInfo(name = "extendedChangePercent") val extendedChangePercent: Double? = 0.0,
    @ColumnInfo(name = "extendedPriceTime") val extendedPriceTime: Long? = 0L,
    @ColumnInfo(name = "previousClose") val previousClose: Double? = 0.0,
    @ColumnInfo(name = "previousVolume") val previousVolume: Int? = 0,
    @ColumnInfo(name = "change") val change: Double? = 0.0,
    @ColumnInfo(name = "changePercent") val changePercent: Double? = 0.0,
    @ColumnInfo(name = "volume") val volume: Int? = 0,
    @ColumnInfo(name = "iexMarketPercent") val iexMarketPercent: Double? = 0.0,
    @ColumnInfo(name = "iexVolume") val iexVolume: Double? = 0.0,
    @ColumnInfo(name = "avgTotalVolume") val avgTotalVolume: Int? = 0,
    @ColumnInfo(name = "iexBidPrice") val iexBidPrice: Double? = 0.0,
    @ColumnInfo(name = "iexBidSize") val iexBidSize: Double? = 0.0,
    @ColumnInfo(name = "iexAskPrice") val iexAskPrice: Double? = 0.0,
    @ColumnInfo(name = "iexAskSize") val iexAskSize: Double? = 0.0,
    @ColumnInfo(name = "marketCap") val marketCap: Long? = 0L,
    @ColumnInfo(name = "peRatio") val peRatio: Double? = 0.0,
    @ColumnInfo(name = "week52High") val week52High: Double? = 0.0,
    @ColumnInfo(name = "week52Low") val week52Low: Double? = 0.0,
    @ColumnInfo(name = "ytdChange") val ytdChange: Double? = 0.0,
    @ColumnInfo(name = "lastTradeTime") val lastTradeTime: Long? = 0L,
    @ColumnInfo(name = "isUSMarketOpen") val isUSMarketOpen: Boolean = false
)
